using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using static APT.MS.Domain.Enums.BI.BIEnums;

namespace APT.MS.Domain.Entities.BI
{
    /// <summary>
    /// 部门级年度安全检查情况综合统计分析
    /// （三、四） 1表
    /// </summary>
    [Description("部门级年度安全检查情况综合统计分析")]
    public class T_BI_BSSAFECHECKTYPE_YEAR : MesEntityBase
    {
        /// <summary>
        /// 生产单元类型
        /// </summary>
        [Description("生产单元类型")]
        public BSMineTypeEnum MineType { get; set; }

        /// <summary>
        /// 年度
        /// </summary>
        [Description("年度")]
        public int YEAR { get; set; }

        /// <summary>
        /// 检查类型
        /// </summary>
        public Guid CHECK_TYPE_ID { get; set; }

        /// <summary>
        /// 检查类型
        /// </summary>
        [Description("检查类型")]
        public string NAME { get; set; }

        /// <summary>
        /// 序号
        /// </summary>
        [Description("序号")]
        public int ROW_NO { get; set; }

        /// <summary>
        /// 数量 一月
        /// </summary>
        [Description("数量 一月")]
        public int? COUNTJANUARY { get; set; }

        /// <summary>
        /// 数量 一月
        /// </summary>
        [Description("数量 二月")]
        public int? COUNTFEBRUARY { get; set; }


        /// <summary>
        /// 数量 三月
        /// </summary>
        [Description("数量 三月")]
        public int? COUNTMARCH { get; set; }

        /// <summary>
        /// 数量 四月
        /// </summary>
        [Description("数量 四月")]
        public int? COUNTAPRIL { get; set; }

        /// <summary>
        /// 数量 五月
        /// </summary>
        [Description("数量 五月")]
        public int? COUNTMAY { get; set; }

        /// <summary>
        /// 数量 六月
        /// </summary>
        [Description("数量 六月")]
        public int? COUNTJUNE { get; set; }

        /// <summary>
        /// 数量 七月
        /// </summary>
        [Description("数量 七月")]
        public int? COUNTJULY { get; set; }

        /// <summary>
        /// 数量 八月
        /// </summary>
        [Description("数量 八月")]
        public int? COUNTAUGUST { get; set; }

        /// <summary>
        /// 数量 九月
        /// </summary>
        [Description("数量 九月")]
        public int? COUNTSEPTEMBER { get; set; }

        /// <summary>
        /// 数量 十月
        /// </summary>
        [Description("数量 十月")]
        public int? COUNTOCTOBER { get; set; }

        /// <summary>
        /// 数量 十一月
        /// </summary>
        [Description("数量 十一月")]
        public int? COUNTNOVEMBER { get; set; }

        /// <summary>
        /// 数量 十二月
        /// </summary>
        [Description("数量 十二月")]
        public int? COUNTDECEMBER { get; set; }

        /// <summary>
        /// 数量 合计
        /// </summary>
        [Description("数量 合计")]
        public int? COUNTTOTAL { get; set; }
    }
}